import { TextReader } from "igniteui-angular-core";
import { Encoding } from "igniteui-angular-core";
import { Stream, Type } from "igniteui-angular-core";
import { Decoder } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class HtmlStream extends TextReader {
    static $t: Type;
    private _x;
    private _l;
    private _r;
    private _s;
    private _ah;
    private _ae;
    private _k;
    private _v;
    private _q;
    constructor(a: Stream, b: Encoding);
    readonly _ai: Encoding;
    private _w;
    _aj(): void;
    static _ad(a: number[], b: number, c: number): {
        ret: Decoder;
        p1?: number;
    };
    private _t;
    private _p;
    private _m;
    private _an;
    private _ab;
    private _z;
    private _aa;
    private _am;
    _af(): Decoder;
    _ag(): Decoder;
    _ac(): string;
    _al(): void;
    _ak(a: string): void;
    _y(): string;
    a(): number;
    b(): number;
    c(a: string[], b: number, c: number): number;
    d(a: string[], b: number, c: number): number;
    _u(a: string[], b: number, c: number): number;
    h(): string;
    protected dispose1(a: boolean): void;
}
